Get one simulation with its full configuration and run summaries
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/simulations/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/simulations/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/simulations/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Simulation retrieved successfully",
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "booking-flow-voice",
"description": "<string>",
"channel": "voice",
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "Serap",
"state": "running",
"score": null,
"pass_threshold": 80,
"runs_per_case": 3,
"max_turns": 8,
"call_mode": "simulated",
"caller_agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"with_intents": false,
"total_runs": 6,
"billed_total": 0.31,
"has_report": false,
"last_error": "<string>",
"last_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"personas": [
{}
],
"test_cases": [
{}
],
"runs": [
{}
]
}
}Simulations
Get one simulation with its full configuration and run summaries
GET
/
api
/
v1
/
simulations
/
{uuid}
Get one simulation with its full configuration and run summaries
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Creation catalog: channels, agents per channel, caller lines and the per-message rateUpdate a simulation (full replace of its configuration)
⌘I